#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
#define CS_FISHTANK_CREATENAME L"CS_fishtank"
//سم¸×
class CS_FishTank :
    public Entity
{
public:
    CS_FishTank();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    void Destroy() override;
    std::weak_ptr<Entity> eFish;
    EntityStateGravity stateGravity;
};

std::shared_ptr<Entity> CreateCS_FishTank();